> This page is for version API + Legacy Read.
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# List Scheduled Rate Changes

GET https://api.getthera.com/contracts/{contractId}/scheduled-rate-changes

Returns all scheduled rate changes (PENDING, APPLIED, CANCELLED) for a contract.

Reference: https://docs.getthera.com/thera-api/workers/scheduled-rate-change-api/list-scheduled-rate-changes

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `contractId` (string, required)

## Response

### 200

- `changes` (list of ScheduledRateChangeItem, required)

## Types

### ScheduledRateChangeItem

- `id` (string, required)
- `changeType` (string, required) — CONTRACTOR or W2
- `effectiveDate` (date, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `APPLIED`, `CANCELLED`
- `createdAt` (string, required)
- `createdByUserId` (string, required)
- `note` (string, optional)
- `oldRate` (long, optional)
- `newRate` (long, optional)
- `newWageType` (enum, optional)
  - Allowed values: `HOURLY`, `DAILY`, `MONTHLY`, `SEMIMONTHLY`, `BIWEEKLY`, `WEEKLY`, `MILESTONE`
- `newCurrency` (string, optional)
- `newPaymentDueDays` (integer, optional)
- `newCycleEnd` (PayCycleEnd, optional)
- `paymentOption` (string, optional)
- `confirmedAmount` (long, optional)
- `oldWageType` (string, optional)
- `oldAmount` (long, optional)
- `oldPeriod` (string, optional)
- `newAmount` (long, optional)
- `newPayScheduleId` (string, optional)
- `newPeriod` (string, optional)

### PayCycleEnd

- `type`: `weekly`
  - `dayOfWeek` (enum, required)
    - Allowed values: `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`, `SUNDAY`
- `type`: `biweekly`
  - `dayOfWeek` (enum, required)
    - Allowed values: `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`, `SUNDAY`
- `type`: `monthly`
  - `value` (MonthlyPayCycleEnd, required)
- `type`: `semimonthly`
  - `value` (SemiMonthlyPayCycleEnd, required)

### MonthlyPayCycleEnd

- `type`: `dayOfMonth`
  - `value` (integer, required)
- `type`: `lastDayOfMonth`
- `type`: `lastDayOfWeekOfMonth`
  - `value` (enum, required)
    - Allowed values: `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`, `SUNDAY`

### SemiMonthlyPayCycleEnd

- `type`: `fifteenthAndEndOfMonth`
- `type`: `dayOfMonth`
  - `value` (integer, required)

## Examples

**Response**

```json
{
  "changes": [
    {
      "id": "id",
      "changeType": "changeType",
      "effectiveDate": "2023-01-15",
      "status": "PENDING",
      "createdAt": "createdAt",
      "createdByUserId": "createdByUserId",
      "note": "note",
      "oldRate": 1000000,
      "newRate": 1000000,
      "newWageType": "HOURLY",
      "newCurrency": "newCurrency",
      "newPaymentDueDays": 1,
      "newCycleEnd": {
        "type": "weekly",
        "dayOfWeek": "MONDAY"
      },
      "paymentOption": "paymentOption",
      "confirmedAmount": 1000000,
      "oldWageType": "oldWageType",
      "oldAmount": 1000000,
      "oldPeriod": "oldPeriod",
      "newAmount": 1000000,
      "newPayScheduleId": "newPayScheduleId",
      "newPeriod": "newPeriod"
    },
    {
      "id": "id",
      "changeType": "changeType",
      "effectiveDate": "2023-01-15",
      "status": "PENDING",
      "createdAt": "createdAt",
      "createdByUserId": "createdByUserId",
      "note": "note",
      "oldRate": 1000000,
      "newRate": 1000000,
      "newWageType": "HOURLY",
      "newCurrency": "newCurrency",
      "newPaymentDueDays": 1,
      "newCycleEnd": {
        "type": "weekly",
        "dayOfWeek": "MONDAY"
      },
      "paymentOption": "paymentOption",
      "confirmedAmount": 1000000,
      "oldWageType": "oldWageType",
      "oldAmount": 1000000,
      "oldPeriod": "oldPeriod",
      "newAmount": 1000000,
      "newPayScheduleId": "newPayScheduleId",
      "newPeriod": "newPeriod"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/contracts/contractId/scheduled-rate-changes"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/contracts/contractId/scheduled-rate-changes';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/contracts/contractId/scheduled-rate-changes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/contracts/contractId/scheduled-rate-changes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/contracts/contractId/scheduled-rate-changes")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/contracts/contractId/scheduled-rate-changes', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/contracts/contractId/scheduled-rate-changes");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/contracts/contractId/scheduled-rate-changes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```